curl --request GET \
--url https://api-dev.narrative.io/app-invites/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/app-invites/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/app-invites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.narrative.io/app-invites/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.narrative.io/app-invites/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.narrative.io/app-invites/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.narrative.io/app-invites/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"app": {
"id": 100,
"name": "Test App",
"slug": "test-app"
},
"code": "abc123def456ghi789jkl012",
"company": {
"id": 42,
"logo": "https://example.com/logo.png",
"name": "Acme Corp"
},
"created_at": "2025-01-01T00:00:00Z",
"data": {
"key": "value"
},
"display_name": "Partner onboarding invite",
"invitee_name": "Jane Smith",
"status": "pending",
"tags": [
"onboarding",
"partner"
],
"updated_at": "2025-01-01T00:00:00Z",
"url": "https://example.com/invite?code=abc123def456ghi789jkl012"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Get App Invite
curl --request GET \
--url https://api-dev.narrative.io/app-invites/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/app-invites/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/app-invites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.narrative.io/app-invites/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.narrative.io/app-invites/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.narrative.io/app-invites/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.narrative.io/app-invites/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"app": {
"id": 100,
"name": "Test App",
"slug": "test-app"
},
"code": "abc123def456ghi789jkl012",
"company": {
"id": 42,
"logo": "https://example.com/logo.png",
"name": "Acme Corp"
},
"created_at": "2025-01-01T00:00:00Z",
"data": {
"key": "value"
},
"display_name": "Partner onboarding invite",
"invitee_name": "Jane Smith",
"status": "pending",
"tags": [
"onboarding",
"partner"
],
"updated_at": "2025-01-01T00:00:00Z",
"url": "https://example.com/invite?code=abc123def456ghi789jkl012"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
App invite id in UUID format.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Response
GetAppInvite 200 response
App invite id in UUID format.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Show child attributes
Show child attributes
{ "id": 100, "name": "Test App", "slug": "test-app" }
24-character alphanumeric invite code.
^[A-Za-z0-9]{24}$"abc123def456ghi789jkl012"
Show child attributes
Show child attributes
{ "id": 42, "logo": "https://example.com/logo.png", "name": "Acme Corp" }
"2025-01-01T00:00:00Z"
pending, active, archived "pending"
Free-form tag on an invite. Non-empty, at most 128 characters once trimmed.
1 - 128["onboarding", "partner"]
"2025-01-15T10:30:00Z"
The full invite URL: base_url with the invite code appended as a query parameter.
"https://example.com/invite?code=abc123def456ghi789jkl012"
"2025-01-15T10:30:00Z"
Display name shown to the invitee. Non-empty, at most 1023 characters once trimmed.
1 - 1023"Partner onboarding invite"
Name of the invitee. Non-empty, at most 1023 characters once trimmed.
1 - 1023"Jane Smith"
Was this page helpful?

